Bug 62194 - anaconda installer fails if RHupdate/ is on the first installation cdrom
anaconda installer fails if RHupdate/ is on the first installation cdrom
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
Reported: 2002-03-28 05:21 EST by Tony Nugent
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tony Nugent 2002-03-28 05:21:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
Anaconda will find and use a RHupdates/ directory if it exists at the same level
as the RedHat/ directory of the installation.
If this directory exists on the 1st cdrom, the installation fails when it tries
to umount (and eject) it at the time it is ready to use the 2nd disk.  This is
because the installer is still using the RHupdates/ directory!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create new installation disks with anaconda.
2. Put the contents of the updates disk into RHupdates on the 1st cdrom.
3. Let the install begin, when it is time for the second disk, anaconda will
fail every time with exception errors because it is unable to umount the 1st disk.

Actual Results:  I investigated the cause of the installation failure... the
cdrom was busy, it could not be umounted/ejected.

Expected Results:  What I wanted to happen was for the installer to work as
expected, to use the updated files it finds in the RHupdates/ directory right to
the end of the installation.

Additional info:

A solution would be to copy the contents of the RHupdates/ directory from the
cdrom to somewhere more "permanent", where it will not need to be umounted
during the installation.  Or not to use a RHupdates/ directory at all on a cdrom :-)
Comment 1 Michael Fulbright 2002-08-23 15:55:45 EDT
It was an oversight to use the RHupdates directory in methods we have to mount
ISOs - thanks for catching it.

Using updates.img is the supported way.
Comment 2 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 3 Brent Fox 2003-05-25 10:59:56 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.